Name:    soundtracker
Version: 0.6.8
Release: 13%{?dist}

Summary: Sound module composer/player

Group:     Applications/Multimedia
License:   GPLv2+
URL:       http://www.soundtracker.org/
Source0:   http://www.soundtracker.org/dl/v0.6/soundtracker-%{version}.tar.gz
Source1:   soundtracker.desktop
Patch0:    soundtracker-0.6.8-no-setuid.patch
Patch1:    soundtracker-0.6.8-channel-mute-w-o-gdk-pixbuf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk+-devel
BuildRequires: libsndfile-devel
BuildRequires: SDL-devel
BuildRequires: desktop-file-utils

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format.  The user interface makes use of GTK+.

%prep
%setup -q
%patch0 -p1 -b .no-setuid
%patch1 -p1 -b .mute-wo-pixbuf

%build
# System has Gnome 2 (or Gnome 3 even): No need for Gnome1 support.
# System has alsa 1.0, which is API incompatible with alsa 0.4/0.5 code.
%configure --disable-gnome --disable-alsa --disable-gdk-pixbuf
make %{?_smp_mflags} LDFLAGS="-ldl"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang soundtracker

install -d -m0755 %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor fedora \
        --dir %{buildroot}/%{_datadir}/applications  \
%SOURCE1

%clean
rm -rf %{buildroot}

%files -f soundtracker.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ NEWS README TODO
%{_bindir}/soundtracker
%{_datadir}/applications/fedora-soundtracker.desktop
%{_datadir}/soundtracker/

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Feb 12 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.6.8-11
- Add soundtracker-0.6.8-channel-mute-w-o-gdk-pixbuf.patch

* Sat Feb 12 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.6.8-10
- Update spec file comments
- Stop using gdk-pixbuf
- Explicitly link with -ldl

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.8-6
- fix license tag

* Fri Aug 29 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.6.8-5
- Actually use no-setuid patch, which fixes rawhide FTBFS issue.

* Sat May 31 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.6.8-4
- Disable ALSA support. Upstream requires alsa 0.4 or 0.5 API, F9 has 1.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.8-3
- Autorebuild for GCC 4.3

* Sun Sep 10 2006 Callum Lerwick <seg@haxxed.com> - 0.6.8-2
- --disable-asm breaks x86_64 builds.

* Sun Aug 13 2006 Callum Lerwick <seg@haxxed.com> - 0.6.8-1
- New upstream version.
- Enable SDL driver, this indirectly gives ALSA support, however it is rather
  unstable so we can't kill off the OSS driver just yet.
- Compiling with jack support crashes on startup, even if the jack driver is
  not enabled.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6.7-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.6.7-4
- rebuilt

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.6.7-3
- BR gettext-devel

* Mon Feb 2 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.2
- 0.6.7.0.fdr.1 was not  based on latest -pre rpm. Fixes build errors.

* Thu Jan 29 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.1
- 0.6.7 release

* Mon Nov 17 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.4.pre6
- Revert soundtracker-mkinstalldirs.patch to patch provided by Michael Schwendt,
  Now builds on RH9 again.

* Fri Nov 14 2003 Nils O. Selåsdal <NOS@Utel.no>  - 0:0.6.7-0.fdr.0.3.pre6
- add soundtracker-mkinstalldirs.patch that prevents po/Makefile.in.in from
  doing funny things. Now builds on FC1.

* Sat Aug 30 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.2.pre6
- Remove old and painful changelogs from doc,
- Don't use macros for commands run within the .spec file
- Disable jack support.

* Thu Aug 28 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.1.pre6
- Correct package version
- Add missing BuildRequires. Explicit disable features we don't want(alsa,asm),
- Remove ABOUT-NLS from documentation
- Place .desktop file in external source, use correct .desktop category.

* Wed Aug 27 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.1.pre6
- Initial RPM release for Fedora
- Rework Makefile.am's to work with recent autotools and to not
  install setuid root
